Bug 1655421

Summary: Review Request: hw-probe - A tool to check operability of computer hardware
Product: [Fedora] Fedora Reporter: Andrey Ponomarenko <andrewponomarenko>
Component: Package ReviewAssignee: Igor Gnatenko <i.gnatenko.brain>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: i.gnatenko.brain, mschorm, msuchy, ngompa13, package-review, vascom2
Target Milestone: ---Flags: i.gnatenko.brain: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-12-22 03:02:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Andrey Ponomarenko 2018-12-03 06:39:33 UTC
Spec URL: https://github.com/linuxhw/build-stuff/releases/download/1.4-Fedora/hw-probe.spec
SRPM URL: https://github.com/linuxhw/build-stuff/releases/download/1.4-Fedora/hw-probe-1.4-1.src.rpm
Description: A tool to check operability of computer hardware and upload result
to the Linux hardware database.

Probe — is a snapshot of your computer's hardware state and system
logs. The tool returns a permanent URL to view the probe of the
computer.

The tool is intended to simplify collecting of logs necessary for
investigating hardware related problems. Just ask a user to run one
simple command to collect all the system logs at once:

    sudo hw-probe -all -upload

By creating probes you contribute to the HDD/SSD Real-Life
Reliability Test study: https://github.com/linuxhw/SMART

Fedora Account System Username: andrewponomarenko

Comment 1 Vasiliy Glazov 2018-12-03 07:04:58 UTC
1. Remove Group:      Development/Other
2. Source0: must be URL to download sources.
3. Are you sure this need?
%define debug_package %{nil}
Also use %global instead of %define.
4. Instead
%setup -q -n hw-probe-%{version}
use new macro
%autosetup -n hw-probe-%{version}
5. Bugreport this to upstream
chmod 0644 README.md
6. Instead
make install prefix=%{_prefix} DESTDIR=%{buildroot}
use new macro
%make_install prefix=%{_prefix}
7. Remove clean section.
8. Remove %defattr(-,root,root,-) from %file section.
9. Add changelog section.

Comment 2 Andrey Ponomarenko 2018-12-03 13:06:39 UTC
Fixed.

Thank you!

Comment 3 Vasiliy Glazov 2018-12-03 13:10:45 UTC
Also change release to
Release:        1%{?dist}

Add license file to %files section.

Add new SRPM URL: in this bugreport.

But I can't be sponsor for you :(

Comment 5 Vasiliy Glazov 2018-12-03 13:29:51 UTC
Move license file from
%doc README.md LICENSE
to
%license LICENSE

Comment 6 Neal Gompa 2018-12-03 13:41:08 UTC
Remove %ifarch in here, since you shouldn't use it with noarch packages.

Use "Recommends: mcelog" instead so that it tolerates it not being available.

Comment 7 Dominik 'Rathann' Mierzejewski 2018-12-03 19:55:45 UTC
1. Use:

Source0: https://github.com/linuxhw/hw-probe/archive/%{version}/%{name}-%{version}.tar.gz

or even:

Source0: %{url}/archive/%{version}/%{name}-%{version}.tar.gz

2. 
> %autosetup -n hw-probe-%{version}

You can drop the -n hw-probe-%{version}, it's the default.

> chmod 0644 README.md LICENSE

Why do you need chmod?

Comment 8 Andrey Ponomarenko 2018-12-04 05:27:29 UTC
Fixed. Thank you!

Comment 9 Vasiliy Glazov 2018-12-04 08:08:47 UTC
Change License tag to LGPLv2+.
Available name for licenses here https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#SoftwareLicenses

Comment 10 Igor Gnatenko 2018-12-04 08:32:22 UTC
I'm going to sponsor you and review this package.

Comment 11 Igor Gnatenko 2018-12-04 08:37:46 UTC
So it seems that Vasily and Dominik made your specfile look almost good.

* Correct License tag as described above.
* Add BuildRequires: perl-generators, so `use …` are converted to dependencies.

> Requires:   perl
> Requires:   perl-libwww-perl

You don't need these two.

Comment 12 Miroslav Suchý 2018-12-04 09:00:52 UTC
You need to add

BuildRequires: perl

so you have perl available in build time.

Comment 13 Miroslav Suchý 2018-12-04 10:15:16 UTC
It is missing a man page.

Comment 14 Andrey Ponomarenko 2018-12-04 10:41:25 UTC
(In reply to Igor Gnatenko from comment #10)
> I'm going to sponsor you and review this package.

Thank you!

Comment 15 Andrey Ponomarenko 2018-12-04 10:51:17 UTC
(In reply to Igor Gnatenko from comment #11)

> * Add BuildRequires: perl-generators, so `use …` are converted to
> dependencies.
> 
> > Requires:   perl
> > Requires:   perl-libwww-perl
> 
> You don't need these two.

Most of the modules (including perl-libwww-perl) are imported by `require ...`, not `use ...`. Is it OK to remove perl-libwww-perl from deps in this case?

Comment 16 Andrey Ponomarenko 2018-12-06 05:35:43 UTC
(In reply to Igor Gnatenko from comment #10)
> I'm going to sponsor you and review this package.

Tried to continue at https://fedoraproject.org/wiki/PackageMaintainers/Join#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner, but got an error:

]$ fedpkg request-repo hw-probe 1655421
Could not execute request_repo: The Bugzilla bug is not approved yet

Comment 17 Jason Tibbitts 2018-12-06 19:05:39 UTC
Well, he said that he would review it, not that he had approved it.

Comment 18 Igor Gnatenko 2018-12-10 16:49:24 UTC
> BuildRequires: perl

This is not needed.

---

Apart from that, it looks good.

Comment 19 Andrey Ponomarenko 2018-12-11 05:54:54 UTC
(In reply to Igor Gnatenko from comment #18)
> > BuildRequires: perl
> 
> This is not needed.
> 
> ---
> 
> Apart from that, it looks good.

Fixed.

Thank you!

Comment 20 Miroslav Suchý 2018-12-11 09:39:58 UTC
(In reply to Igor Gnatenko from comment #18)
> > BuildRequires: perl
> 
> This is not needed.

Without this BR the command:
   mock -r fedora-rawhide-x86_64 hw-probe-1.4-1.fc29.src.rpm
fails with:
...
+ /usr/bin/make install DESTDIR=/builddir/build/BUILDROOT/hw-probe-1.4-1.fc30.x86_64 'INSTALL=/usr/bin/install -p' prefix=/usr
perl Makefile.pl -install -prefix "/usr"
Can't locate Getopt/Long.pm in @INC (you may need to install the Getopt::Long module) (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5) at Makefile.pl line 25.
BEGIN failed--compilation aborted at Makefile.pl line 25.
make: *** [Makefile:9: install] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.CEuaMf (%install)

Comment 21 Igor Gnatenko 2018-12-11 10:23:25 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/hw-probe

Comment 22 Andrey Ponomarenko 2018-12-12 04:47:03 UTC
(In reply to Miroslav Suchý from comment #20)
> (In reply to Igor Gnatenko from comment #18)
> > > BuildRequires: perl
> > 
> > This is not needed.
> 
> Without this BR the command:
>    mock -r fedora-rawhide-x86_64 hw-probe-1.4-1.fc29.src.rpm
> fails with:
> ...
> + /usr/bin/make install
> DESTDIR=/builddir/build/BUILDROOT/hw-probe-1.4-1.fc30.x86_64
> 'INSTALL=/usr/bin/install -p' prefix=/usr
> perl Makefile.pl -install -prefix "/usr"
> Can't locate Getopt/Long.pm in @INC (you may need to install the
> Getopt::Long module) (@INC contains: /usr/local/lib64/perl5
> /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl
> /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5) at
> Makefile.pl line 25.
> BEGIN failed--compilation aborted at Makefile.pl line 25.
> make: *** [Makefile:9: install] Error 2
> error: Bad exit status from /var/tmp/rpm-tmp.CEuaMf (%install)

Added:

BuildRequires: perl(Getopt::Long)

Thank you.

Comment 23 Fedora Update System 2018-12-14 07:27:30 UTC
hw-probe-1.4-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-997b99b7ef

Comment 24 Fedora Update System 2018-12-15 03:19:47 UTC
hw-probe-1.4-5.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ae96fe9482

Comment 25 Fedora Update System 2018-12-16 01:03:51 UTC
hw-probe-1.4-8.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-fdb0bf49ba

Comment 26 Fedora Update System 2018-12-16 03:17:27 UTC
hw-probe-1.4-8.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-87931d1bc0

Comment 27 Fedora Update System 2018-12-16 03:57:45 UTC
hw-probe-1.4-8.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-780496d498

Comment 28 Fedora Update System 2018-12-16 04:47:16 UTC
hw-probe-1.4-8.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a38554e14f

Comment 29 Andrey Ponomarenko 2018-12-19 08:56:16 UTC
Need to add required dependencies of hw-probe to EL6/EL7 in the scope of this issue: hwinfo and libx86emu.

Comment 30 Fedora Update System 2018-12-19 08:57:01 UTC
libx86emu-1.11-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-d02892e9dd

Comment 31 Fedora Update System 2018-12-19 09:00:06 UTC
libx86emu-1.11-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-18bd82111f

Comment 32 Fedora Update System 2018-12-19 12:11:53 UTC
hw-probe-1.4-11.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-55896bafb9

Comment 33 Fedora Update System 2018-12-19 12:12:47 UTC
hw-probe-1.4-11.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8a769f6ca1

Comment 34 Fedora Update System 2018-12-20 15:48:07 UTC
hw-probe-1.4-11.el7 hwinfo-21.47-6.el7 libx86emu-1.11-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-762de57dfe

Comment 35 Fedora Update System 2018-12-20 15:51:45 UTC
hw-probe-1.4-11.el6 hwinfo-21.47-6.el6 libx86emu-1.11-7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-353038099d

Comment 36 Fedora Update System 2018-12-21 05:46:47 UTC
hw-probe-1.4-11.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-55896bafb9

Comment 37 Fedora Update System 2018-12-21 06:23:42 UTC
hw-probe-1.4-11.el7, hwinfo-21.47-6.el7, libx86emu-1.11-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-762de57dfe

Comment 38 Fedora Update System 2018-12-21 06:30:53 UTC
hw-probe-1.4-11.el6, hwinfo-21.47-6.el6, libx86emu-1.11-7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-353038099d

Comment 39 Fedora Update System 2018-12-21 21:05:31 UTC
hw-probe-1.4-11.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8a769f6ca1

Comment 40 Fedora Update System 2018-12-22 03:02:17 UTC
hw-probe-1.4-11.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 41 Andrey Ponomarenko 2018-12-23 04:01:50 UTC
Need to push also to F28, EL7 and EL6: https://bodhi.fedoraproject.org/updates/?search=hw-probe

Comment 42 Fedora Update System 2018-12-29 02:25:04 UTC
hw-probe-1.4-11.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 43 Fedora Update System 2019-01-06 02:50:44 UTC
hw-probe-1.4-11.el7, hwinfo-21.47-6.el7, libx86emu-1.11-7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 44 Fedora Update System 2019-01-06 02:52:05 UTC
hw-probe-1.4-11.el6, hwinfo-21.47-6.el6, libx86emu-1.11-7.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 45 Fedora Update System 2019-01-09 13:32:46 UTC
hw-probe-1.4-12.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a9a3f7277

Comment 46 Fedora Update System 2019-01-09 13:33:40 UTC
hw-probe-1.4-12.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f697d285b2

Comment 47 Fedora Update System 2019-01-09 13:42:40 UTC
hw-probe-1.4-12.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ddad6cb745

Comment 48 Fedora Update System 2019-01-09 13:43:36 UTC
hw-probe-1.4-12.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-02742a951e

Comment 49 Fedora Update System 2019-01-11 03:28:52 UTC
hw-probe-1.4-12.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-02742a951e

Comment 50 Fedora Update System 2019-01-11 04:16:28 UTC
hw-probe-1.4-12.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a9a3f7277

Comment 51 Fedora Update System 2019-01-11 05:42:30 UTC
hw-probe-1.4-12.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f697d285b2

Comment 52 Fedora Update System 2019-01-11 17:23:35 UTC
hw-probe-1.4-12.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ddad6cb745

Comment 53 Fedora Update System 2019-01-12 01:57:40 UTC
hw-probe-1.4-12.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 54 Fedora Update System 2019-01-19 01:54:43 UTC
hw-probe-1.4-12.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 55 Fedora Update System 2019-01-27 00:37:54 UTC
hw-probe-1.4-12.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 56 Fedora Update System 2019-01-27 00:41:52 UTC
hw-probe-1.4-12.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.